program ololo;
var a,b,c,d,i:integer;
input:text;
begin
     assign(input, 'nuts.in');
     reset(input);
     readln(input, a);
     for i:=1 to a do
     begin
     readln(input,b,c,d);
     if (b*c) >= d then writeln('YES') else writeln('NO');
     end;
close(input);
end.